/* Copyright 2004 Jetro Lauha - http://iki.fi/jetro/
 *
 * $Id: sound.h,v 1.3 2004/10/17 20:59:44 tonic Exp $
 * $Revision: 1.3 $
 */

#ifndef SOUND_H_INCLUDED
#define SOUND_H_INCLUDED


enum SOUNDEFF_TYPE
{
    SND_ERASER = 0,
    SND_ERASER_END,
    SND_LEVEL_BEGIN,
    SND_SHOOT,

    // Must be last:
    SOUNDEFF_TYPES
};

class CFL;

extern void initSound(CFL *cfl);
extern void deinitSound();
extern int playSoundEffect(int type, int forceChannel = -1);
extern void stopSoundEffect(int channel);
extern void stopAllSoundEffects();

extern void setSound(BOOL enabled);
extern void setMusic(BOOL enabled);

extern BOOL getSoundEnabled();
extern BOOL getMusicEnabled();

extern void setMusicVolume(float volume);


#endif // !SOUND_H_INCLUDED
